Subject: Re: [TR] Brake handle rubber interior trim

From: "Randall" <[email-masked]>
Date: Thu, 2 Apr 2015 15:09:54 -0700

> So ordered a new rubber seal, I believe from TRF.  Wow.  It 
> didn't come with just the rubber seal itself this time.  Now 
> it comes with metal brackets to hold it in place.

Just for clarity, Terry, did you order P/N 700922, or P/N RFK435?  I'm not certain, but I believe the first number is just the boot,
while the second number is the kit including the metal plates (which can also be ordered separately as 602137 and 602138).

-- Randall  

** [email-masked] **

Archive: http://www.team.net/archive